Issue 40713 - Please add Tibetan to languages in CTL fonts dialouge
Summary: Please add Tibetan to languages in CTL fonts dialouge
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: formatting (show other issues)
Version: OOo 1.0.0
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: oc
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-14 22:17 UTC by cfynn
Modified: 2013-08-07 14:41 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description cfynn 2005-01-14 22:17:07 UTC
Tibetan OpenType fonts work in Open Office running under Win XP with up to date
usp10.dll installed. 

Under Format, Character, Fonts "CTL font" Language,   AND under Tools, Options,
Language Settings, Languages "Tibetan" is not yet included  in the list box.
Could this be added?

[In Microsoft Word (2002 and above) "Tibetan" is available under
Tools, Language, Set Language]

If you need a Tibetan font for testing one is available at: 
<http://iris.lib.virginia.edu/tibet/xml/show.php?xml=/tools/tibfonts.xml&l=uva10928423419921>
 
Thank you

- Chris Fynn
Comment 1 michael.ruess 2005-01-15 09:30:25 UTC
MRU->SBA: please evaluate.
Comment 2 stefan.baltzer 2005-01-26 15:50:04 UTC
SBA->FT: Please proceed.
Comment 3 falko.tesch 2005-02-16 10:10:59 UTC
FT->ER: Please add "Tibetan (Bhutan)" and "Tibetan (PR China)" to the list of
CTL languages. Thx.
Comment 4 cfynn 2005-02-16 12:28:10 UTC
If possible, at the same time could you also please add "Dzongkha (Bhutan)"
Dzongkha is the national language of Bhutan and also written in Tibetan script.
In Bhutan proper Tibetan is only used by Tibetan refugees living there and by
monks & lamas (Classical Tibetan or "Chokay" is the liturgical language of
Buddhists in Bhutan). There is a Dzongkha Locale (dz BT) in CLDR. Line breaking
rules etc. are the same as for Tibetan. There are differences in spelling and
vocabulary. On MS Windows the LCID for Dzongkha is x0851.    

thank you.

Best regards  

- Chris
Comment 5 ooo 2005-02-16 13:00:09 UTC
I will add them to the language listbox. However, they will only appear in the
font attribution dialog and spellcheck, not under Tools.Options language
settings and not selectable as a default document language, as we currently
don't have locale data available.

@Liz: are these resource strings correct?

English:
Tibetan (Bhutan)
Tibetan (PR China)

German:
Tibetisch (Bhutan)
Tibetisch (VR China)
Comment 6 ooo 2005-02-16 13:27:13 UTC
Chris,

Please note that Dzongkha (though without the addition Bhutan) is already
present as requested in issue 33917. Please note also that MS has not defined
any LangID for Dzongkha, the 0x0851 you're referring is Tibetan_Bhutan instead,
see also
http://www.microsoft.com/globaldev/reference/lcid-all.mspx
We defined an ID in the user space, 0x0628.

Eike
Comment 7 e.matthis 2005-02-16 14:01:38 UTC
Liz->ER: Thanks, go ahead with

English:
Tibetan (Bhutan)
Tibetan (PR China)

German:
Tibetisch (Bhutan)
Tibetisch (VR China)
Comment 8 cfynn 2005-02-16 15:29:03 UTC
Eike you wrote:

>Chris,

> Please note that Dzongkha (though without the addition Bhutan) 
> is already present as requested in issue 33917. 

great

> Please note also that MS has not defined any LangID for Dzongkha, the 0x0851 
> you're referring is Tibetan_Bhutan instead, see also
> http://www.microsoft.com/globaldev/reference/lcid-all.mspx

That's odd because in their "Localization and .NET Passport Services"
documentation
<http://msdn.microsoft.com/library/en-us/passport25/NET_Passport_VBScript_Documentation/Single_Sign_In/Advanced_Single_Sign_In/Localization_and_LCIDs.asp>
Microsoft do have the LCID for Dzongkha listed as 0x0851. Too bad they don't
generate the tables in their documentation from a single source to avoid such
inconsistency. 

> We defined an ID in the user space, 0x0628.

> Eike

regards,

Chris

Comment 9 ooo 2005-02-16 16:30:21 UTC
On branch cws_src680_luic:
svx/source/dialog/langtab.src 1.56.248.2
svtools/source/config/languageoptions.cxx 1.10.154.1

Comment on the MS-ID: to me it looks a bit like either the .NET team or
entire MS or both maybe don't differentiate between Tibetan and
Dzongkha, which would be wrong as they are distinct languages.
Comment 10 ooo 2005-02-17 16:51:49 UTC
Ready for QA.


re-open issue and try to reassign to oc@openoffice.org
Comment 11 ooo 2005-02-17 16:51:55 UTC
try to reassign to oc@openoffice.org
Comment 12 ooo 2005-02-17 16:52:00 UTC
try to reset resolution to FIXED
Comment 13 oc 2005-02-18 13:28:59 UTC
verified in internal build cws_luic
Comment 14 oc 2005-03-10 18:04:35 UTC
closed because fix available in OOo1.9m84